## libmirage-dmo 3.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(libmirage VERSION 3.2.5 LANGUAGES C)

# Semantic versioning 2.0.0 (semver.org):
# MAJOR is increased when backwards-incompatible changes are made to
# the API (e.g., removal of interfaces). In this case, MINOR and PATCH
# should be reset to zero.
# MINOR is increased when features are added to the API (e.g., addition
# of interfaces). In this case, PATCH should be reset to zero.
# PATCH is increased for all other changes such as bug-fixes.
set(MIRAGE_SOVERSION_MAJOR 11)
set(MIRAGE_SOVERSION_MINOR 0)
set(MIRAGE_SOVERSION_PATCH 0)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(GTKDOC_ENABLED "Use gtk-doc to build documentation" ON)
option(INTROSPECTION_ENABLED "Generate gobject introspection files" ON)
option(VAPI_ENABLED "Generate the Vala API file" ON)
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)

# Plugin directory
set(MIRAGE_PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}" CACHE PATH "Path to libMirage plugin directory." FORCE)

# Dependencies
find_package(PkgConfig 0.16 REQUIRED)
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gmodule-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)

if(INTROSPECTION_ENABLED)
    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.30.0)
    if(INTROSPECTION_FOUND)
        include(GObjectIntrospection)
        set(INTROSPECTION_STATUS "ON")
    else()
        set(INTROSPECTION_STATUS "OFF (not found)")
    endif()
else()
    set(INTROSPECTION_STATUS "OFF (disabled)")
endif()

if(VAPI_ENABLED)
    if(NOT (INTROSPECTION_ENABLED AND INTROSPECTION_FOUND))
        set(VAPI_STATUS "OFF (introspection disabled)")
    else()
        find_program(VALAC valac DOC "the Vala compiler")
        find_program(VAPIGEN vapigen DOC "tool to generate the Vala API")
        if(VALAC AND VAPIGEN)
            include(GObjectIntrospection)
            set(VAPI_STATUS "ON")
        else()
            set(VAPI_STATUS "OFF (not found)")
        endif()
    endif()
else()
    set(VAPI_STATUS "OFF (disabled)")
endif()

if(GTKDOC_ENABLED)
    pkg_check_modules(GTKDOC gtk-doc>=1.4)
    if(GTKDOC_FOUND)
        include(GtkDoc)
        set(GTKDOC_STATUS "ON")
    else()
        set(GTKDOC_STATUS "OFF (not found)")
    endif()
else()
    set(GTKDOC_STATUS "OFF (disabled)")
endif()

if(POST_INSTALL_HOOKS)
    find_program(UPDATE_MIME_DATABASE_EXECUTABLE NAMES update-mime-database)
    mark_as_advanced(UPDATE_MIME_DATABASE_EXECUTABLE)
endif()


# Auto-generated files
configure_file(${PROJECT_SOURCE_DIR}/mirage/config.h.in ${PROJECT_BINARY_DIR}/mirage/config.h)
configure_file(${PROJECT_SOURCE_DIR}/mirage/version.h.in ${PROJECT_BINARY_DIR}/mirage/version.h)
configure_file(${PROJECT_SOURCE_DIR}/reference/version.xml.in ${PROJECT_BINARY_DIR}/reference/version.xml)
configure_file(${PROJECT_SOURCE_DIR}/libmirage.pc.in ${PROJECT_BINARY_DIR}/libmirage.pc @ONLY)

# Global definitions
set(CMAKE_C_STANDARD 99) # Enable C99
if(CMAKE_COMPILER_IS_GNUCC)
    # Enable additional warnings
    add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
    add_definitions(-Wno-sign-compare)
    add_definitions(-Wno-cast-function-type)
endif()

# *** libMirage core library ***
set(libmirage_HEADERS
    mirage/mirage.h
    mirage/cdtext-coder.h
#    mirage/compat-input-stream.h
    mirage/context.h
    mirage/contextual.h
    mirage/debug.h
    mirage/disc.h
    mirage/error.h
    mirage/file-stream.h
    mirage/filter-stream.h
    mirage/fragment.h
    mirage/index.h
    mirage/language.h
    mirage/object.h
    mirage/parser.h
    mirage/plugin.h
    mirage/sector.h
    mirage/session.h
    mirage/stream.h
    mirage/track.h
    mirage/types.h
    mirage/utils.h
    mirage/writer.h
    ${PROJECT_BINARY_DIR}/mirage/version.h
#    ${PROJECT_BINARY_DIR}/mirage/config.h
)

set(libmirage_SOURCES
    mirage/mirage.c
    mirage/cdtext-coder.c
    mirage/compat-input-stream.c
    mirage/context.c
    mirage/contextual.c
    mirage/disc.c
    mirage/error.c
    mirage/file-stream.c
    mirage/filter-stream.c
    mirage/fragment.c
    mirage/index.c
    mirage/language.c
    mirage/object.c
    mirage/parser.c
    mirage/plugin.c
    mirage/sector.c
    mirage/session.c
    mirage/stream.c
    mirage/track.c
    mirage/utils.c
    mirage/version.c
    mirage/writer.c
)

add_library(mirage SHARED ${libmirage_SOURCES})

target_include_directories(mirage PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:include/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}>)

target_link_libraries(mirage PUBLIC PkgConfig::GLIB)

set_target_properties(mirage PROPERTIES
    LIBRARY_OUTPUT_NAME mirage
    VERSION ${MIRAGE_SOVERSION_MAJOR}.${MIRAGE_SOVERSION_MINOR}.${MIRAGE_SOVERSION_PATCH}
    SOVERSION ${MIRAGE_SOVERSION_MAJOR}
)

install(TARGETS mirage DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${libmirage_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}/mirage)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Introspection ***
if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND)
    gobject_introspection(
        FILENAME Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir
        NSVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
        INCLUDES GObject-2.0 Gio-2.0 GLib-2.0 GModule-2.0
        LIBRARY mirage
        QUIET
        SCANNER_ARGS --c-include=mirage/mirage.h --warn-all
        COMPILER_ARGS --includedir=${PROJECT_SOURCE_DIR} --includedir=${PROJECT_BINARY_DIR}
        CFLAGS -I${PROJECT_SOURCE_DIR} -I${PROJECT_BINARY_DIR}
        SYMBOL_PREFIXES mirage
        IDENTIFIER_PREFIXES Mirage
        SOURCES ${libmirage_SOURCES} ${libmirage_HEADERS}
    )
endif()

# *** Vala API ***
if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND AND VALAC AND VAPIGEN)
    add_custom_target(vala ALL)
    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir)
    set(vapi_file ${CMAKE_CURRENT_BINARY_DIR}/libmirage.vapi)

    add_custom_command(OUTPUT ${vapi_file}
        COMMAND ${VAPIGEN}
            --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
            --vapidir=${CMAKE_CURRENT_BINARY_DIR}
            --girdir=${CMAKE_BINARY_DIR}/src/libmirage
            --pkg gio-2.0
            --library libmirage
            --metadatadir=${CMAKE_CURRENT_SOURCE_DIR}
            --metadatadir=${CMAKE_CURRENT_BINARY_DIR}
            ${gir_fullname}
        DEPENDS
            ${gir_fullname}
    )

    add_custom_target(valafile DEPENDS ${vapi_file})

    add_dependencies(vala valafile)

    install(FILES ${vapi_file} DESTINATION ${CMAKE_INSTALL_DATADIR}/vala/vapi)
endif ()

# *** Documentation ***
if(GTKDOC_ENABLED AND GTKDOC_FOUND)
    get_target_property(GTKDOC_LIB mirage LIBRARY_OUTPUT_NAME)
    gtk_doc(
        MODULE ${PROJECT_NAME}
        MAIN_SGML_FILE ${PROJECT_NAME}-docs.sgml
        SOURCE_DIR ${PROJECT_SOURCE_DIR}/mirage ${PROJECT_BINARY_DIR}/mirage
        SOURCES ${libmirage_HEADERS} ${libmirage_SOURCES}
        DOCS_DIR ${PROJECT_SOURCE_DIR}/reference
        IGNORE_HFILES compat-input-stream.h config.h
        CFLAGS ${GLIB_CFLAGS}
        LDFLAGS ${GLIB_LDFLAGS} -L${PROJECT_BINARY_DIR}
            -Wl,-rpath,${PROJECT_BINARY_DIR} -l${GTKDOC_LIB}
    )
endif()

# *** Pkg-config ***
install(FILES ${PROJECT_BINARY_DIR}/libmirage.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# *** Filters ***
file(GLOB filters RELATIVE ${PROJECT_SOURCE_DIR}/filters/ ${PROJECT_SOURCE_DIR}/filters/*)
foreach(filter ${filters})
    string(REGEX REPLACE "^filter-" "" filter_name ${filter})
    list(FIND FILTERS_DISABLED ${filter_name} filter_disabled)
    if(filter_disabled EQUAL -1)
        add_subdirectory(filters/filter-${filter_name})
    endif()
endforeach()
if(FILTERS_ENABLED)
    list(SORT FILTERS_ENABLED)
endif()
if(FILTERS_DISABLED)
    list(SORT FILTERS_DISABLED)
endif()

# *** Images ***
file(GLOB images RELATIVE ${PROJECT_SOURCE_DIR}/images/ ${PROJECT_SOURCE_DIR}/images/*)
foreach(image ${images})
    string(REGEX REPLACE "^image-" "" image_name ${image})
    list(FIND IMAGE_FORMATS_DISABLED ${image_name} image_disabled)
    if(image_disabled EQUAL -1)
        add_subdirectory(images/image-${image_name})
    endif()
endforeach()
if(IMAGE_FORMATS_ENABLED)
    list(SORT IMAGE_FORMATS_ENABLED)
endif()
if(IMAGE_FORMATS_DISABLED)
    list(SORT IMAGE_FORMATS_DISABLED)
endif()

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** libMirage v.${PROJECT_VERSION} configuration summary ***")
message(STATUS "Compiler and build info:")
message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS " plugin dir: " ${MIRAGE_PLUGIN_DIR})
message(STATUS "File filters:")
message(STATUS " enabled: ${FILTERS_ENABLED}")
message(STATUS " disabled: ${FILTERS_DISABLED}")
message(STATUS "Image formats:")
message(STATUS " enabled: ${IMAGE_FORMATS_ENABLED}")
message(STATUS " disabled: ${IMAGE_FORMATS_DISABLED}")
message(STATUS "Options:")
message(STATUS " build gtk-doc documentation: " ${GTKDOC_STATUS})
message(STATUS " build gobject-introspection bindings: " ${INTROSPECTION_STATUS})
message(STATUS " build Vala bindings: " ${VAPI_STATUS})
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
libmirage-dmo (1:3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 13:43:39 +0200

libmirage-dmo (1:3.2.4-dmo2) unstable; urgency=medium

  * Fix build with GCC 10

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 11:15:44 +0200

libmirage-dmo (1:3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2020 08:54:49 +0100

libmirage-dmo (1:3.2.3-dmo3) unstable; urgency=medium

  * Add Multi-Arch support

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 08:46:18 +0200

libmirage-dmo (1:3.2.3-dmo2) unstable; urgency=medium

  * FIx doc-base path.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:40:08 +0200

libmirage-dmo (1:3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 08:00:22 +0200

libmirage-dmo (1:3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2019 08:16:17 +0100

libmirage-dmo (1:3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Rename gir1.2-mirage --> gir1.2-mirage-3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Mar 2019 08:47:18 +0100

libmirage-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jul 2018 14:37:09 +0200

libmirage-dmo (1:3.1.0-dmo2) unstable; urgency=medium

  * Add intltool in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jun 2017 10:06:03 +0200

libmirage-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove version from these packages :
    gir1.2-mirage-3.0 --> gir1.2-mirage
    libmirage10-dev --> libmirage-dev
    libmirage10-doc --> libmirage-doc
  * Move all plugins to a new package (libmirage-plugin).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 10:25:35 +0200

libmirage-dmo (1:3.0.5~repack-dmo2) unstable; urgency=medium

  * Remove libmirage10.symbols file

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 18:13:26 +0200

libmirage-dmo (1:3.0.5~repack-dmo1) unstable; urgency=medium

  * Repack upstream tarball.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 13:06:28 +0200

libmirage-dmo (3.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2016 12:41:03 +0200

libmirage-dmo (3.0.4-dmo2) unstable; urgency=medium

  * Remove -dbg package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Mar 2016 09:22:54 +0100

libmirage-dmo (3.0.4-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Jan 2016 09:13:37 +0100

libmirage (3.0.4-1) debian; urgency=low

  * Updated to 3.0.4

 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

libmirage (3.0.3-1) debian; urgency=low

  * Initial Release. Closes: #705409

 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100

=== debian/control ===
Source: libmirage-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://cdemu.sourceforge.io/about/libmirage/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
 libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
 libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
 cmake (>= 3.7.0~), ninja-build, valac

Package: libmirage11
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library
 The aim of libMirage is to provide uniform access to the data stored in
 different image formats, by creating a representation of disc stored in
 image file, which is based on GObjects.

Package: libmirage-plugin
Architecture: any
Conflicts: libmirage9, libmirage10
Replaces: libmirage9, libmirage10
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library - plugin files
 Provides uniform access to the data stored in different image formats, by
 creating a representation of disc stored in image file.
 .
 This package contains plugin files.
 .
 Currently supported image formats:
   * BlindWrite 5/6 (B5T, B6T) file format (readonly)
   * Roxio / WinOnCD (C2D) file format (readonly)
   * CloneCD (CCD, SUB, IMG) image format (readonly)
   * DiscJuggler (CDI) file format (readonly)
   * Easy CD Creator (CIF) file format (readonly)
   * CDRwin (CUE, BIN) image format (readonly)
   * Raw track loader (ISO, UDF etc.) image format (read-write)
   * Alcohol 120% (MDS) image format (readonly)
   * Daemon Tools (MDX) image format (readonly)
   * Nero Burning ROM (NRG) image format (readonly)
   * ReadCD (TOC, BIN) image format (readonly)
   * Cdrdao's (TOC, BIN) image format (read-write)
   * XCDRoast (TOC, BIN) image format (readonly)
 .
 Currently supported filter streams:
   * Apple Disk Image (DMG) container format (readonly)
   * Apple Disk Image (IMG, SMI) via MacBinary container format (readonly)
   * GZip (GZ) container format (readonly)
   * XZ (XZ) container format (readonly)
   * Compressed ISO (CSO) container format (readonly)
   * Compressed ISO (ISZ) container format (readonly)
   * Error Code Modeller (ECM) container format (readonly)
   * PowerISO (DAA) image format (readonly)
   * SNDFILE audio files (read-write)

Package: gir1.2-mirage-3.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmirage11 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Replaces: gir1.2-mirage
Conflicts: gir1.2-mirage
Description: CD-ROM image access library - typelib files
 This package provides typelib files.

Package: libmirage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmirage11 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends}
Replaces: libmirage10-dev
Conflicts: libmirage10-dev
Description: CD-ROM image access library - development files
 This package contains files needed to develop with libMirage.

Package: libmirage-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: devhelp
Replaces: libmirage10-doc
Conflicts: libmirage10-doc
Description: CD-ROM image access library - documentation
 This package contains documentation for libMirage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DPOST_INSTALL_HOOKS:BOOL=OFF

override_dh_auto_test:

=== debian/watch ===
version=4

opts="dversionmangle=s/~repack//" \
https://sf.net/cdemu/ libmirage-(.+)@ARCHIVE_EXT@

## libmirage-dmo 3.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libmirage VERSION 3.2.5 LANGUAGES C)
+project(libmirage VERSION 3.2.6 LANGUAGES C)
 
 # Semantic versioning 2.0.0 (semver.org):
 # MAJOR is increased when backwards-incompatible changes are made to

=== debian/changelog ===
libmirage-dmo (1:3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Dec 2021 09:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
  libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
  libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,

## libmirage-dmo 3.2.10

=== debian/changelog ===
libmirage-dmo (1:3.2.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 09:05:25 +0200

libmirage-dmo (1:3.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Sep 2024 00:26:30 +0200

libmirage-dmo (1:3.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jul 2024 23:17:47 +0200

libmirage-dmo (1:3.2.7-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 13:40:45 +0100

libmirage-dmo (1:3.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Nov 2023 00:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkg-config (>= 0.14),
- libglib2.0-dev (>= 2.28), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkgconf (>= 0.16),
+ libglib2.0-dev (>= 2.38), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
  libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
  cmake (>= 3.7.0~), ninja-build, valac

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DPOST_INSTALL_HOOKS=OFF

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/cdemu/cdemu/tags \
.*libmirage-@ANY_VERSION@@ARCHIVE_EXT@

## libmirage-dmo 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.7)
-project(libmirage VERSION 3.2.6 LANGUAGES C)
+cmake_minimum_required(VERSION 3.16)
+project(libmirage VERSION 3.3.0 LANGUAGES C)
 
 # Semantic versioning 2.0.0 (semver.org):
 # MAJOR is increased when backwards-incompatible changes are made to
@@ -8,9 +8,14 @@
 # MINOR is increased when features are added to the API (e.g., addition
 # of interfaces). In this case, PATCH should be reset to zero.
 # PATCH is increased for all other changes such as bug-fixes.
-set(MIRAGE_SOVERSION_MAJOR 11)
+set(MIRAGE_SOVERSION_MAJOR 12)
 set(MIRAGE_SOVERSION_MINOR 0)
 set(MIRAGE_SOVERSION_PATCH 0)
+
+# The version if GIR (GObject Introspection) namespace. Similar to the
+# soversion, but with separate update criteria. For historic reasons,
+# the current version of the namespace is 3.2.
+set(MIRAGE_GIR_VERSION "3.2")
 
 # Additional CMake modules
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -23,6 +28,7 @@
 option(INTROSPECTION_ENABLED "Generate gobject introspection files" ON)
 option(VAPI_ENABLED "Generate the Vala API file" ON)
 option(POST_INSTALL_HOOKS "Run post-install hooks" ON)
+option(PEDANTIC_MODE "Enable -pedantic flag on gcc compiler" OFF)
 
 # Plugin directory
 set(MIRAGE_PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libmirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}" CACHE PATH "Path to libMirage plugin directory." FORCE)
@@ -35,7 +41,7 @@
 pkg_check_modules(GLIB REQUIRED glib-2.0>=2.38 gobject-2.0>=2.38 gmodule-2.0>=2.38 gio-2.0>=2.38 IMPORTED_TARGET)
 
 if(INTROSPECTION_ENABLED)
-    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.30.0)
+    pkg_check_modules(INTROSPECTION gobject-introspection-1.0>=1.42.0)
     if(INTROSPECTION_FOUND)
         include(GObjectIntrospection)
         set(INTROSPECTION_STATUS "ON")
@@ -92,8 +98,9 @@
 if(CMAKE_COMPILER_IS_GNUCC)
     # Enable additional warnings
     add_definitions(-Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align)
-    add_definitions(-Wno-sign-compare)
-    add_definitions(-Wno-cast-function-type)
+    if(PEDANTIC_MODE)
+        add_definitions(-pedantic)
+    endif()
 endif()
 
 # *** libMirage core library ***
@@ -120,6 +127,7 @@
     mirage/track.h
     mirage/types.h
     mirage/utils.h
+#    mirage/utils-private.h
     mirage/writer.h
     ${PROJECT_BINARY_DIR}/mirage/version.h
 #    ${PROJECT_BINARY_DIR}/mirage/config.h
@@ -146,6 +154,7 @@
     mirage/stream.c
     mirage/track.c
     mirage/utils.c
+    mirage/utils-private.c
     mirage/version.c
     mirage/writer.c
 )
@@ -177,8 +186,8 @@
 # *** Introspection ***
 if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND)
     gobject_introspection(
-        FILENAME Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir
-        NSVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
+        FILENAME Mirage-${MIRAGE_GIR_VERSION}.gir
+        NSVERSION ${MIRAGE_GIR_VERSION}
         INCLUDES GObject-2.0 Gio-2.0 GLib-2.0 GModule-2.0
         LIBRARY mirage
         QUIET
@@ -194,7 +203,7 @@
 # *** Vala API ***
 if(INTROSPECTION_ENABLED AND INTROSPECTION_FOUND AND VALAC AND VAPIGEN)
     add_custom_target(vala ALL)
-    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.gir)
+    set(gir_fullname ${CMAKE_BINARY_DIR}/Mirage-${MIRAGE_GIR_VERSION}.gir)
     set(vapi_file ${CMAKE_CURRENT_BINARY_DIR}/libmirage.vapi)
 
     add_custom_command(OUTPUT ${vapi_file}
@@ -227,7 +236,7 @@
         SOURCE_DIR ${PROJECT_SOURCE_DIR}/mirage ${PROJECT_BINARY_DIR}/mirage
         SOURCES ${libmirage_HEADERS} ${libmirage_SOURCES}
         DOCS_DIR ${PROJECT_SOURCE_DIR}/reference
-        IGNORE_HFILES compat-input-stream.h config.h
+        IGNORE_HFILES compat-input-stream.h config.h utils-private.h
         CFLAGS ${GLIB_CFLAGS}
         LDFLAGS ${GLIB_LDFLAGS} -L${PROJECT_BINARY_DIR}
             -Wl,-rpath,${PROJECT_BINARY_DIR} -l${GTKDOC_LIB}
@@ -271,12 +280,7 @@
 
 # *** Configuration summary ***
 message(STATUS "")
-message(STATUS "*** libMirage v.${PROJECT_VERSION} configuration summary ***")
-message(STATUS "Compiler and build info:")
-message(STATUS " C compiler: " ${CMAKE_C_COMPILER} ${CMAKE_C_COMPILER_ARG1})
-message(STATUS " C flags (Release): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_RELEASE})
-message(STATUS " C flags (Debug): " ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_DEBUG})
-message(STATUS " build type: " ${CMAKE_BUILD_TYPE})
+message(STATUS "*** libMirage v${PROJECT_VERSION} configuration summary ***")
 message(STATUS "Installation:")
 message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
 message(STATUS " plugin dir: " ${MIRAGE_PLUGIN_DIR})
@@ -287,6 +291,7 @@
 message(STATUS " enabled: ${IMAGE_FORMATS_ENABLED}")
 message(STATUS " disabled: ${IMAGE_FORMATS_DISABLED}")
 message(STATUS "Options:")
+message(STATUS " pedantic mode: " ${PEDANTIC_MODE})
 message(STATUS " build gtk-doc documentation: " ${GTKDOC_STATUS})
 message(STATUS " build gobject-introspection bindings: " ${INTROSPECTION_STATUS})
 message(STATUS " build Vala bindings: " ${VAPI_STATUS})

=== debian/changelog ===
libmirage-dmo (1:3.3.0-dmo2) unstable; urgency=medium

  * libmirage12 should replaces libmirage11

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 17:53:32 +0100

libmirage-dmo (1:3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Feb 2026 16:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libmirage-dmo
 Section: libs
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://cdemu.sourceforge.io/about/libmirage/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-gir, pkgconf (>= 0.16),
  libglib2.0-dev (>= 2.38), libsndfile1-dev, libsamplerate0-dev, zlib1g-dev,
- libbz2-dev, liblzma-dev, gtk-doc-tools, libgirepository1.0-dev, intltool,
- cmake (>= 3.7.0~), ninja-build, valac
+ libbz2-dev, liblzma-dev, gtk-doc-tools, gir1.2-girepository-3.0-dev, intltool,
+ cmake (>= 3.7.0~), ninja-build, valac,
 
-Package: libmirage11
+Package: libmirage12
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmirage11,
+Replaces: libmirage11,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library
  The aim of libMirage is to provide uniform access to the data stored in
  different image formats, by creating a representation of disc stored in
@@ -21,9 +22,9 @@
 
 Package: libmirage-plugin
 Architecture: any
-Conflicts: libmirage9, libmirage10
-Replaces: libmirage9, libmirage10
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmirage9, libmirage10,
+Replaces: libmirage9, libmirage10,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library - plugin files
  Provides uniform access to the data stored in different image formats, by
  creating a representation of disc stored in image file.
@@ -60,9 +61,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmirage11 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
-Replaces: gir1.2-mirage
-Conflicts: gir1.2-mirage
+Depends: libmirage12 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends},
+Replaces: gir1.2-mirage,
+Conflicts: gir1.2-mirage,
 Description: CD-ROM image access library - typelib files
  This package provides typelib files.
 
@@ -70,9 +71,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmirage11 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends}
-Replaces: libmirage10-dev
-Conflicts: libmirage10-dev
+Depends: libmirage12 (= ${binary:Version}), gir1.2-mirage-3.2 (= ${binary:Version}), ${misc:Depends},
+Replaces: libmirage10-dev,
+Conflicts: libmirage10-dev,
 Description: CD-ROM image access library - development files
  This package contains files needed to develop with libMirage.
 
@@ -80,9 +81,9 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: devhelp
-Replaces: libmirage10-doc
-Conflicts: libmirage10-doc
+Depends: ${misc:Depends},
+Recommends: devhelp,
+Replaces: libmirage10-doc,
+Conflicts: libmirage10-doc,
 Description: CD-ROM image access library - documentation
  This package contains documentation for libMirage.

## libmirage-dmo 3.3.1

=== images/image-mdx/CMakeLists.txt ===
set(image_short "mdx")
set(image_name "image-${image_short}")

project(${image_name} LANGUAGES C)

# Dependencies
find_package(ZLIB 1.2.4 QUIET)
pkg_check_modules(LIBGCRYPT libgcrypt IMPORTED_TARGET)

# Build
if(ZLIB_FOUND AND LIBGCRYPT_FOUND AND (GLIB_glib-2.0_VERSION VERSION_GREATER_EQUAL "2.58"))
    add_library(${image_name} MODULE
        crypto.c
        fragment.c
        gf128mul.c
        parser.c
        plugin.c
    )
    target_link_libraries(${image_name} PRIVATE mirage)
    target_link_libraries(${image_name} PRIVATE PkgConfig::LIBGCRYPT)
    target_link_libraries(${image_name} PRIVATE ZLIB::ZLIB)

    # Disable library prefix
    set_target_properties(${image_name} PROPERTIES PREFIX "")

    # Install
    install(TARGETS ${image_name} DESTINATION ${MIRAGE_PLUGIN_DIR})

    # Install MIME type
    intltool_merge("-x" ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/libmirage-${image_short}.xml.in libmirage-${image_short}.xml)

    install(FILES ${PROJECT_BINARY_DIR}/libmirage-${image_short}.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
    if(POST_INSTALL_HOOKS)
        install(CODE "execute_process (COMMAND ${UPDATE_MIME_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/mime)")
    endif()

    # Add to list of enabled image formats
    list(APPEND IMAGE_FORMATS_ENABLED ${image_short})
    set(IMAGE_FORMATS_ENABLED ${IMAGE_FORMATS_ENABLED} PARENT_SCOPE)
else()
    # Add to list of disabled image formats
    list(APPEND IMAGE_FORMATS_DISABLED ${image_short})
    set(IMAGE_FORMATS_DISABLED ${IMAGE_FORMATS_DISABLED} PARENT_SCOPE)
endif()

=== debian/changelog ===
libmirage-dmo (1:3.3.1-dmo2) unstable; urgency=medium

  * Fix bad copy/paste in debian/control

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 11:03:11 +0100

libmirage-dmo (1:3.3.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Move i18n files to libmirage-i18n package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 10:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,28 @@
 Package: libmirage12
 Architecture: any
 Multi-Arch: same
-Conflicts: libmirage11,
-Replaces: libmirage11,
 Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libmirage-i18n,
 Description: CD-ROM image access library
  The aim of libMirage is to provide uniform access to the data stored in
  different image formats, by creating a representation of disc stored in
  image file, which is based on GObjects.
 
+Package: libmirage-i18n
+Architecture: all
+Section: localization
+Multi-Arch: foreign
+Depends: libmirage12, ${misc:Depends},
+Replaces: libmirage-plugin (<< 1:3.3.1-dmo1),
+Description: CD-ROM image access library - i18n support
+ The aim of libMirage is to provide uniform access to the data stored in
+ different image formats, by creating a representation of disc stored in
+ image file, which is based on GObjects.
+ .
+ This package contains localization data.
+
 Package: libmirage-plugin
 Architecture: any
-Conflicts: libmirage9, libmirage10,
-Replaces: libmirage9, libmirage10,
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CD-ROM image access library - plugin files
  Provides uniform access to the data stored in different image formats, by
